For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet XP Balance (V2)
        • GETGet Transfer Fee Configuration
        • GETGet Public XP Transfer History
        • POSTCreate XP Transfer
        • GETGet XP Transfer by ID
        • GETGet XP Transfer History
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceXp Transfers V2

Get Public XP Transfer History

GET
https://api.prod.paradex.trade/v1/xp/public-transfers
GET
/v1/xp/public-transfers
$curl https://api.prod.paradex.trade/v1/xp/public-transfers \
> -H "Authorization: <apiKey>"
1{
2 "next": "eyJmaWx0ZXIiMsIm1hcmtlciI6eyJtYXJrZXIiOiIxNjc1NjUwMDE3NDMxMTAxNjk5N=",
3 "prev": "eyJmaWx0ZXIiOnsiTGltaXQiOjkwfSwidGltZSI6MTY4MTY3OTgzNzk3MTMwOTk1MywibWFya2VyIjp7Im1zMjExMD==",
4 "results": [
5 {
6 "amount": 100,
7 "created_at": 1640995200000,
8 "fee": 1,
9 "id": "transfer_123",
10 "is_private": false,
11 "recipient": "0xfedcba0987654321",
12 "season": "season2",
13 "sender": "0x1234567890abcdef"
14 }
15 ]
16}

Retrieve a feed of public XP transfers. Supports filtering by time range or getting the latest transfers based on page_size. Private transfers are excluded from results.

Was this page helpful?
Previous

Create XP Transfer

Next
Built with

Query parameters

start_atintegerOptional
Start timestamp in milliseconds
end_atintegerOptional
End timestamp in milliseconds
seasonstringOptionalDefaults to season2

Season filter (‘preseason’ for Preseason, ‘season1’ for Season 1, ‘season2’ for Season 2)

cursorstringOptional
Pagination cursor
page_sizeintegerOptional1-50Defaults to 50
Number of results per page

Response

OK
nextstring

The pointer to fetch next set of records (null if there are no records left)

prevstring

The pointer to fetch previous set of records (null if there are no records left)

resultslist of objects
Array of paginated results

Errors

400
Bad Request Error